## makefile.win32 (makeinfo)				-*- Makefile -*-
## Time-stamp: "97/08/02 21:21:26 mik"

!include ..\..\miktex.inc

srcdir = .
common = ..\lib

SRCS =  makeinfo.c multi.c
OBJS =  makeinfo.obj multi.obj

.c.obj:
	$(CC) -c -I$(srcdir) -I$(srcdir)\.. -I$(common) -MD -O2 \
		$(cflags) $(CFLAGS) $<

all: makeinfo.exe

makeinfo.exe: $(OBJS) ..\lib\libtxi.lib
	link $(ldflags) $(LDFLAGS) -out:$@ $(OBJS) ..\lib\libtxi.lib

makeinfo.obj: makeinfo.c $(common)\getopt.h

$(OBJS): makeinfo.h

install: all
	$(INSTALL_PROGRAM) makeinfo.exe $(bindir)\makeinfo.exe

uninstall:
	$(RM) $(bindir)\makeinfo.exe

TAGS: $(SRCS)
	etags $(SRCS)

mostlyclean:
	-del *.obj
	-del *.res

clean: mostlyclean
	-del *.exe
	-del *.pdb
	-del *.ilk

distclean: clean
	-del TAGS
	-del *.opt

realclean: distclean
